"""revert vlass imaging syntax changes

Revision ID: 13b9b6c84547
Revises: b50243eb304b
Create Date: 2024-06-13 13:18:59.883782

"""
from pathlib import Path

from alembic import op


# revision identifiers, used by Alembic.
revision = "13b9b6c84547"
down_revision = "b50243eb304b"
branch_labels = None
depends_on = None


def set_content(wf_name: str, filename: str) -> str:
    return (Path.cwd() / "versions" / "templates" / wf_name / filename).read_text()


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content('vlass_coarse','envoy_condor_2.8.3.1.txt')}'
        WHERE filename='vlass_coarse_envoy.condor' AND workflow_name='vlass_coarse'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content('vlass_quicklook', 'envoy_condor_2.8.3.1.txt')}'
        WHERE filename='vlass_ql_envoy.condor' AND workflow_name='vlass_quicklook'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content('vlass_seci', 'envoy_condor_2.8.3.1.txt')}'
        WHERE filename='vlass_seci_envoy.condor' AND workflow_name='vlass_seci'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content('vlass_coarse','envoy_condor_2.8.3.txt')}'
        WHERE filename='vlass_coarse_envoy.condor' AND workflow_name='vlass_coarse'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content('vlass_quicklook', 'envoy_condor_2.8.3.txt')}'
        WHERE filename='vlass_quicklook_envoy.condor' AND workflow_name='vlass_quicklook'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content('vlass_seci', 'envoy_condor_2.8.3.txt')}'
        WHERE filename='vlass_seci_envoy.condor' AND workflow_name='vlass_seci'
        """
    )
