"""update_curator_metadata2

Revision ID: e680d469ec4e
Revises: f49af22c5c0e
Create Date: 2024-03-12 15:05:15.771787

"""
from pathlib import Path

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "e680d469ec4e"
down_revision = "f49af22c5c0e"
branch_labels = None
depends_on = None

old_content = """{
  "product_locator": "{{product_locator}}",{{#data_location}}
  "data_location": "{{data_location}}",{{/data_location}}
  "product_type": "{{product_type}}",{{#target_list}}
  "target_list": ["{{target_list}}"],{{/target_list}}{{#product_group_id}}
  "product_group_id": {{product_group_id}},{{/product_group_id}}{{#input_group_locator}}
  "input_group_locator": "{{input_group_locator}}",{{/input_group_locator}}
  "projectMetadata": {
    "telescope": "{{telescope}}",
    "projectCode": "{{projectCode}}"
  }{{#file_list}},
  "file_list": {{file_list}}{{/file_list}}
  }
"""

new_content = (Path.cwd() / "versions" / "templates" / "curator" / "metadata_2.8.2.3.txt").read_text()


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{new_content}'
        WHERE filename='metadata.json' AND workflow_name='curator'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{old_content}'
        WHERE filename='metadata.json' AND workflow_name='curator'
        """
    )
